Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.ehbox.v3.session
Interface EhealthBoxServiceV3

All Known Implementing Classes:
  EhealthBoxServiceV3Impl

    public interface EhealthBoxServiceV3

The Business Connector for General Practitioners provides a simplified interface to access the eHealth Box by providing the following functionality:

- Sending a message
- Retrieve general information about the General Practitioners mailbox, such as the number of messages, the size, etc.
- Retrieve the list of messages
- Retrieve a complete message (including its contents)
- Move a message to the inbox
- Retrieve the history of a message

Pre-Requisites:
An active and valid eHealth-platform session (initiated via the Session Management component)

Default impl : `EhealthBoxServiceV3Impl`

Method Summary
`DeleteMessageResponse` | `deleteMessage(DeleteMessageRequest request)` delete specific message.
`DeleteOoOResponse` | `deleteOoO(DeleteOoORequest request)` delete specific OoO périod.
`GetAllEhboxesMessagesListResponse` | `getAllEhboxesMessagesList(GetAllEhboxesMessagesListRequest request)` retrieves all messages from all mailboxes for user.
`GetBoxInfoResponse` | `getBoxInfo(GetBoxInfoRequest getBoxInfoRequest)` To retrieve general information relation to the eHealth Box of the General Practitioner: number of messages, total size of all available messages, etc.).
`GetFullMessageResponse` | `getFullMessage(GetFullMessageRequest request)` Retrieves the entire message from the eHealth Box based on its unique identifier.
`GetFullMessageResponse` | `getFullMessage(MessageRequestType request)` Deprecated.
`GetMessageAcknowledgmentsStatusResponse` | `getMessageAcknowledgmentsStatusRequest(GetMessageAcknowledgmentsStatusRequest request)` Gets the acknowlegment status.
`GetHistoryResponse` | `getMessageHistory(GetHistoryRequest request)` With the 'Get History' operation, a messages history can be consulted.
`GetHistoryResponse` | `getMessageHistory(MessageRequestType request)` Deprecated.
`GetMessagesListResponse` | `getMessageList(GetMessagesListRequest request)` The �Get message List� operation retrieves the list of messages in one of the available folders (inbox, bin or sent).
`GetOoOListResponse` | `getOoOList(GetOoOListRequest request)` get list of periods of OoO for specific user.
`InsertOoOResponse` | `insertOoO(InsertOoORequest request)` insert Out Of Office period.
`MoveMessageResponse` | `moveMessage(MoveMessageRequest request)` Moves a message back to the inbox.
`SendMessageResponse` | `sendMessage(SendMessageRequest sendMessageRequest)` The �Send Message� operation allows a message to be sent to one or more recipients.

Method Detail

### sendMessage

    SendMessageResponse sendMessage(SendMessageRequest sendMessageRequest)
                                    throws ConnectorException

  The �Send Message� operation allows a message to be sent to one or more recipients. The sender has to be option to:

  - Provide one or more recipients (parameter �destinationContexts� provided as part of the request)
  - Send the new message in reply of an existing message to all original recipients, including the sender (parameter �messageIdForReplyToAll� provided as part of the request)
  - Send the new message in reply of an existing message to the original sender (parameter 'messageIdForReply' provided as part of the request)
  Only one of the above parameters can be present.

  Parameters:
    `sendMessageRequest` -
  Returns:
    Response containing an id, the status and the publication ID.
  Throws:
    `ConnectorException`

### getBoxInfo

    GetBoxInfoResponse getBoxInfo(GetBoxInfoRequest getBoxInfoRequest)
                                  throws ConnectorException

  To retrieve general information relation to the eHealth Box of the General Practitioner: number of messages, total size of all available messages, etc.).

  Parameters:
    `getBoxInfoRequest` -
  Returns:
    Details about the inbox.
  Throws:
    `ConnectorException`

### getMessageList

    GetMessagesListResponse getMessageList(GetMessagesListRequest request)
                                           throws ConnectorException

  The �Get message List� operation retrieves the list of messages in one of the available folders (inbox, bin or sent). The result contains a list of available messages, but only with partial information. To retrieve the entire message contents, the 'Get Full Message' operation must be invoked.

  Parameters:
    `request` - Indicates the folder for which the list of messages is returned (inbox, bin, sent).
  Returns:
    A list of Messages for the specified folder.
  Throws:
    `ConnectorException`

### getFullMessage

    @Deprecated
    GetFullMessageResponse getFullMessage(MessageRequestType request)
                                          throws ConnectorException

  Deprecated.

  Retrieves the entire message from the eHealth Box based on its unique identifier. Typically, first a list of new messages is retrieved via the 'Get Message List' operation and afterwards the individual message is claimed via this operation.

  Parameters:
    `request` - The message id.
  Returns:
    Information about the Sender and Message.
  Throws:
    `ConnectorException`

### getFullMessage

    GetFullMessageResponse getFullMessage(GetFullMessageRequest request)
                                          throws ConnectorException

  Retrieves the entire message from the eHealth Box based on its unique identifier. Typically, first a list of new messages is retrieved via the 'Get Message List' operation and afterwards the individual message is claimed via this operation.

  Parameters:
    `request` - The message id.
  Returns:
    Information about the Sender and Message.
  Throws:
    `ConnectorException`

### moveMessage

    MoveMessageResponse moveMessage(MoveMessageRequest request)
                                    throws ConnectorException

  Moves a message back to the inbox. The unique message identifier must be provided as input parameter.

  Parameters:
    `request` - The message id.
  Returns:
    Status of the operation.
  Throws:
    `ConnectorException`

### getMessageHistory

    @Deprecated
    GetHistoryResponse getMessageHistory(MessageRequestType request)
                                         throws ConnectorException

  Deprecated.

  With the 'Get History' operation, a messages history can be consulted.

  Parameters:
    `request` - The message id.
  Returns:
    List of MessageId from the older message versions.
  Throws:
    `ConnectorException`

### getMessageHistory

    GetHistoryResponse getMessageHistory(GetHistoryRequest request)
                                         throws ConnectorException

  With the 'Get History' operation, a messages history can be consulted.

  Parameters:
    `request` - The message id.
  Returns:
    List of MessageId from the older message versions.
  Throws:
    `ConnectorException`

### getMessageAcknowledgmentsStatusRequest

    GetMessageAcknowledgmentsStatusResponse getMessageAcknowledgmentsStatusRequest(GetMessageAcknowledgmentsStatusRequest request)
                                                                                   throws ConnectorException

  Gets the acknowlegment status.

  Parameters:
    `request` - the message id.
  Returns:
    The acknowledgement status.
  Throws:
    `ConnectorException`

### deleteMessage

    DeleteMessageResponse deleteMessage(DeleteMessageRequest request)
                                        throws ConnectorException

  delete specific message.

  Parameters:
    `request` - the message id
  Returns:
    status in DeleteMessageResponse
  Throws:
    `ConnectorException`

### insertOoO

    InsertOoOResponse insertOoO(InsertOoORequest request)
                                throws ConnectorException

  insert Out Of Office period.

  Parameters:
    `request` - user and period of OoO
  Returns:
    status in InsertOoOResponse
  Throws:
    `ConnectorException`

### getOoOList

    GetOoOListResponse getOoOList(GetOoOListRequest request)
                                  throws ConnectorException

  get list of periods of OoO for specific user.

  Parameters:
    `request` - user id
  Returns:
    list of OoO in GetOoOListResponse
  Throws:
    `ConnectorException`

### deleteOoO

    DeleteOoOResponse deleteOoO(DeleteOoORequest request)
                                throws ConnectorException

  delete specific OoO périod.

  Parameters:
    `request` - period OoO id
  Returns:
    status in DeleteOoOResponse
  Throws:
    `ConnectorException`

### getAllEhboxesMessagesList

    GetAllEhboxesMessagesListResponse getAllEhboxesMessagesList(GetAllEhboxesMessagesListRequest request)
                                                                throws ConnectorException

  retrieves all messages from all mailboxes for user.

  Parameters:
    `request` -
  Returns:
  Throws:
    `TechnicalConnectorException`
    `EhboxBusinessConnectorException`
    `SessionManagementException`
    `ConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.